Microsoft Graph
Microsoft Graph (microsoft-graph)
Section titled “Microsoft Graph (microsoft-graph)”Write JSON events to Microsoft Graph resources such as mail, calendars, chats, or directory objects via REST calls.
API Microsoft Enterprise edition json
Minimal example
Section titled “Minimal example”output: microsoft-graph: credential: "" credential-scope-mode: allowed resource: ~JSON
{ "output": { "microsoft-graph": { "credential": "", "credential-scope-mode": "allowed", "resource": null } }}Contents
Section titled “Contents”A ✓ marks a field that accepts a context variable such as
{{ VARIABLE }}.
Authentication
Section titled “Authentication”Authentication
| Field | Type | Required | Description |
|---|---|---|---|
credential |
credential-id (string) |
✅ | Credential identifier managed by the credential manager. Examples: 2b64d2a0-0b76-4cd0-9ef0-3f0ef3d2a9a1 |
credential-scope-mode |
Credential Scope Mode |
✅ | How to choose the scopes bound to this job when using the credential. Allowed values: allowed, custom |
credential-scopes |
string[] |
Custom scopes to bind to this job when credential-scope-mode is custom. |
Payload
Section titled “Payload”Payload
| Field | Type | Required | Description |
|---|---|---|---|
body |
Body |
How to construct the request body (event, field, or literal). Non-DELETE requests use the event body when omitted; DELETE omits the body unless this is set. Allowed values: event, field, literal |
Processing
Section titled “Processing”Processing
| Field | Type | Required | Description |
|---|---|---|---|
batch |
Batch |
Collect input events together into batches. |
Reliability
Section titled “Reliability”Reliability
| Field | Type | Required | Description |
|---|---|---|---|
retry |
Retry |
How to retry failed Graph write requests. |
Request
Section titled “Request”Request
| Field | Type | Required | Description |
|---|---|---|---|
resource |
string |
✅ | Graph resource path (e.g. /me/sendMail, /users/{id}/messages, or /teams/{id}/channels). |
api-version ✓ |
Api Version |
API version to target (v1.0 stable or beta).Default: v1.0Allowed values: v1, beta |
|
method |
Method |
HTTP write method to use for the Graph request. Default: postAllowed values: post, put, patch, delete |
|
query |
map (string) |
Optional querystring parameters appended to every request. | |
headers |
map (string) |
Additional Graph request headers such as Prefer, ConsistencyLevel, or If-Match. |
Schema
Section titled “Schema”- Body Options
- Body - Field Fields
- Body - Literal Fields
- Batch Fields
- Retry - Backoff Fields
- Retry Fields
- Query Table
- Headers Table
- Credential Scope Mode Options
- Batch - Mode Options
- Retry - Backoff - Strategy Options
- Api Version Options
- Method Options
Body Options
Section titled “Body Options”| Option | Name | Type | Description |
|---|---|---|---|
event |
Event | map |
|
field |
Field | object |
|
literal |
Literal | object |
Body - Field Fields
Section titled “Body - Field Fields”| Field | Type | Required | Description |
|---|---|---|---|
field |
string |
✅ |
Body - Literal Fields
Section titled “Body - Literal Fields”| Field | Type | Required | Description |
|---|---|---|---|
value |
string |
✅ | Literal/template request body; supports ${} expansions and multiline YAML strings. |
Batch Fields
Section titled “Batch Fields”| Field | Type | Required | Description |
|---|---|---|---|
fixed-size ✓ |
number (integer) |
maximum number of events in an output batch. Examples: 42, 1.2e-10 |
|
max-bytes ✓ |
number (integer) |
Close the batch before adding an event that would make the serialized request payload exceed this many bytes. Examples: 42, 1.2e-10 |
|
mode |
Mode |
✅ | If ‘document’ send on end of document generated by input. If ‘fixed’, use fixed_size.Allowed values: fixed, document |
timeout |
time-interval (string) |
✅ | interval after which the batch is sent, to keep throughput going (default 100ms). Default: 100msExamples: 500ms, 2h |
header |
multiline-text (string) |
put a header line before the batch. | |
footer |
multiline-text (string) |
put a header line after the last line of the batch. | |
use-document-marker ✓ |
boolean (bool) |
Enrich the job metadata with a document marker (for document handling in batch mode). Default: false |
|
wrap-as-json ✓ |
boolean (bool) |
Format the output batch as a JSON array. Default: false |
Retry - Backoff Fields
Section titled “Retry - Backoff Fields”| Field | Type | Required | Description |
|---|---|---|---|
strategy |
Strategy |
Backoff strategy to use (default exponential). Allowed values: exponential, linear, fixed |
|
base |
string |
Base delay before retrying (e.g. “200ms”). | |
max |
string |
Maximum delay between retries. | |
jitter ✓ |
boolean (bool) |
Whether to add jitter to retry delays. Default: false |
Retry Fields
Section titled “Retry Fields”| Field | Type | Required | Description |
|---|---|---|---|
max-attempts |
number (integer) |
Maximum attempts before giving up. Examples: 42, 1.2e-10 |
|
forever ✓ |
boolean (bool) |
Retry indefinitely until cancelled. Default: false |
|
backoff |
Backoff |
Backoff strategy configuration. |
Query Table
Section titled “Query Table”| Parameter | Value |
|---|---|
param |
value |
Value format: templated-text.
Headers Table
Section titled “Headers Table”| Header | Value |
|---|---|
Header-Name |
value |
Value format: templated-text.
Credential Scope Mode Options
Section titled “Credential Scope Mode Options”| Value | Aliases | Name | Description |
|---|---|---|---|
allowed |
allowed | ||
custom |
custom |
Batch - Mode Options
Section titled “Batch - Mode Options”| Value | Aliases | Name | Description |
|---|---|---|---|
fixed |
fixed | ||
document |
document |
Retry - Backoff - Strategy Options
Section titled “Retry - Backoff - Strategy Options”| Value | Aliases | Name | Description |
|---|---|---|---|
exponential |
exponential | ||
linear |
linear | ||
fixed |
fixed |
Api Version Options
Section titled “Api Version Options”| Value | Aliases | Name | Description |
|---|---|---|---|
v1 |
v1 | ||
beta |
beta |
Method Options
Section titled “Method Options”| Value | Aliases | Name | Description |
|---|---|---|---|
post |
post | ||
put |
put | ||
patch |
patch | ||
delete |
delete |